import React from 'react'; // React importieren
import MyOtherComponent from './components/MyOtherComponent'; // andere Components importieren
export function MyComponent({checkValue, // Component mit prop erstellen
                                propWithDefault = 'default', // Prop mit Default-Wert
                                propFunction = () => {} }) { // Function als Prop mit leerer Function als Default-Wert
    const displayValue = 'abc'; // Variablen in Components
    return (
        <div> // JSX in JavaScript
            <div className="my-class" /> // CSS in JSX in JavaScript
            <p>Displaing {displayValue} for you!</p> // JavaScript in JSX in JavaScript
            {checkValue == 5 && <p>It’s 5!</p>} // JSX in JavaScript in JSX in JavaScript
        </div>
    );
}

export default function MyApp() { // Haupt-Component; keine props
    const [checkValue, setCheckValue] = useState(0); // useState Hook mit optionaler 0 als Default-Wert
    return (
        <> // React Fragment
            <MyOtherComponent /> // Einsatz eines Components
            <MyComponent checkValue={checkValue} /> // Component mit Parameter
            <button onClick={setCheckValue(checkValue+1)}>
                Knopf
            </button>
        </>
    );
}
